%add a curve on both meshes
%C1 C2 array of curves with curve id
% c1 c2 curve vertices
% ncurves total number of curves
function [ncurves x C1 C2  c1 c2 ] = addcurve(mesh1, mesh2, C1, C2, fig, ncurves)
    prompt = 'Would you like to add another curve [y/n]?';
    x = input(prompt, 's');
%     ncurves = ncurves;
%     C1 = C1;
%     C2 = C2;
    c1 = [];
    c2 = [];
    if x == 'd'
        %delete last curve
        C1 = C1(find(C1(:,1)~= ncurves), :);
        C2 = C2(find(C2(:,1)~= ncurves), :);
        ncurves = ncurves-1;
    end
    if x~='n' & x~='N'
        [v1, v2, fig] = setCurve(mesh1, mesh2, fig);
        ncurves = ncurves+1;

        c1 = v1'-1;
        c2 = v2'-1;
        
        C1 = [C1; ncurves*ones(length(v1),1), v1'-1];
        C2 = [C2; ncurves*ones(length(v2),1), v2'-1];
    end 
end