function plotcurves(curves, points, color)
    if nargin < 3
        color = 'red';
    end
    for i=1:length(curves)
        hold on;
        curve = curves{i};
        c_X = points(curve, :);
        plot3(c_X(:,1), c_X(:,2), c_X(:,3), 'LineWidth', 4, 'Color', color);
    end
end